#include "BME280.h"

// BME280のインスタンス
// 第２引数以降の引数の値については、「BST-BME280_DS001-10.pdf」のp25、「5.4 Register description」参照。
BME280 bme280( 	15,			// スレーブセレクトピン（CSB：チップ選択）: 15番ピン
				0b0001,		// Temperature oversampling : x1
				0b0001,		// Humidity oversampling : x1
				0b0001,		// Pressure oversampling : x1
				0b0000,		// Mode : Sleep mode
				0b0101,		// Stand-by time : 1000ms
				0b0000,		// filter : 0ff
				0b0000 );	// 3-wire SPI ? : No(4-wire SPI)

void setup()
{
	// シリアル通信の開始
	Serial.begin(9600);

	// BME280の開始
	bme280.begin();
}

void loop()
{
	// 温度、湿度、気圧の取得
	double dTemperature, dHumidity, dPressure;
	bme280.getData( dTemperature, dHumidity, dPressure );

	// 温度、湿度、気圧の取得
	Serial.println( "----------" );
	Serial.print( "temperature : " ); Serial.print( dTemperature ); Serial.println(" [DegC]");
	Serial.print( "Humidity    : " ); Serial.print( dHumidity ); Serial.println(" [%]");
	Serial.print( "Pressure    : " ); Serial.print( dPressure ); Serial.println(" [hPa]");

	delay( 2000 );
}
